[arch-commits] Commit in abiword-plugins/repos (3 files)

Giovanni Scafora giovanni at archlinux.org
Fri May 29 07:04:52 EDT 2009


    Date: Friday, May 29, 2009 @ 07:04:52
  Author: giovanni
Revision: 40355

Merged revisions 40353 via svnmerge from 
svn+ssh://archlinux.org/srv/svn-packages/abiword-plugins/trunk

........
  r40353 | giovanni | 2009-05-29 03:54:13 -0700 (ven, 29 mag 2009) | 2 lines
  
  upgpkg: abiword-plugins 2.6.8-3
      Rebuilt without libgda. For more, see FS14278
........

Added:
  abiword-plugins/repos/extra-i686/AbiCommand.patch
    (from rev 40353, abiword-plugins/trunk/AbiCommand.patch)
Modified:
  abiword-plugins/repos/extra-i686/	(properties)
  abiword-plugins/repos/extra-i686/PKGBUILD

------------------+
 AbiCommand.patch |   11 +++++++++++
 PKGBUILD         |   20 +++++++++++++-------
 2 files changed, 24 insertions(+), 7 deletions(-)


Property changes on: abiword-plugins/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /abiword-plugins/trunk:1-35807
   + /abiword-plugins/trunk:1-40354

Copied: abiword-plugins/repos/extra-i686/AbiCommand.patch (from rev 40353, abiword-plugins/trunk/AbiCommand.patch)
===================================================================
--- extra-i686/AbiCommand.patch	                        (rev 0)
+++ extra-i686/AbiCommand.patch	2009-05-29 11:04:52 UTC (rev 40355)
@@ -0,0 +1,11 @@
+--- a/tools/abicommand/xp/AbiCommand.cpp	2007-10-11 13:05:55.000000000 -0700
++++ b/tools/abicommand/xp/AbiCommand.cpp	2009-05-29 12:36:40.000000000 -0700
+@@ -551,7 +551,7 @@
+ 				UT_UTF8String *pCom1 =
+ 					const_cast < UT_UTF8String * >(static_cast < const UT_UTF8String * >(pToks->getNthItem (1)));
+ 				printf(" Filename %s \n",pCom1->utf8_str());
+-				char *suffix = rindex (pCom1->utf8_str (), '.');
++				const char *suffix = rindex (pCom1->utf8_str (), '.');
+ 
+ 				if (suffix != NULL)
+ 				{

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-05-29 10:54:53 UTC (rev 40354)
+++ extra-i686/PKGBUILD	2009-05-29 11:04:52 UTC (rev 40355)
@@ -3,23 +3,29 @@
 
 pkgname=abiword-plugins
 pkgver=2.6.8
-pkgrel=2
+pkgrel=3
 pkgdesc="Various plugins for Abiword"
 arch=('i686' 'x86_64')
 license=('GPL')
 url="http://www.abisource.com"
 options=('!libtool' '!makeflags')
-depends=("abiword>=${pkgver}" 'aiksaurus>=1.2.1' 'libgnomedb>=1.2.2'
-         'gtkmathview>=0.7.7' 'link-grammar>=4.2.4' 'libwmf>=0.2.8.4'
-         'librsvg>=2.18.1' 'libwpd>=0.8.7' 'psiconv>=0.9.8' 'boost')
+depends=('abiword' 'aiksaurus>=1.2.1' 'gtkmathview>=0.7.7' 
+         'link-grammar>=4.2.4' 'libwmf>=0.2.8.4' 'librsvg>=2.18.1' 
+	 'libwpd>=0.8.7' 'psiconv>=0.9.8' 'boost')
 source=(http://www.abisource.com/downloads/abiword/${pkgver}/source/abiword-plugins-${pkgver}.tar.gz
-        http://www.abisource.com/downloads/abiword/${pkgver}/source/abiword-${pkgver}.tar.gz)
+        http://www.abisource.com/downloads/abiword/${pkgver}/source/abiword-${pkgver}.tar.gz
+	AbiCommand.patch)
 md5sums=('421c49723e209c971ddb0798c1b313a9'
-         'fab04d8ef999c303f720197adf261310')
+         'fab04d8ef999c303f720197adf261310'
+	 '7bd4ad7802216d43422063b86ee1bc9a')
 
 build() {
   cd "${srcdir}/abiword-plugins-${pkgver}"
-  ./configure --prefix=/usr --with-abiword="${srcdir}/abiword-${pkgver}/"
+  patch -Np1 -i ${srcdir}/AbiCommand.patch || return 1
+  ./configure --prefix=/usr \
+              --without-gda \
+	      --disable-gda \
+              --with-abiword="${srcdir}/abiword-${pkgver}/"
   make || return 1
   make DESTDIR="${pkgdir}/" install
 }



More information about the arch-commits mailing list